reflex::AbstractMatcher::Operation Class Reference

|  | reflex::AbstractMatcher::Operation Class Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
reflex::AbstractMatcher::Operation Class Reference

AbstractMatcher::Operation functor to match input to a pattern, also provides a (const) AbstractMatcher::iterator to iterate over matches. More...

`#include <absmatcher.h>`

Collaboration diagram for reflex::AbstractMatcher::Operation:
[legend]

## Public Member Functions
| Operation (AbstractMatcher *matcher, Method method)
| Construct an AbstractMatcher::Operation functor to scan, search, or split an input character sequence. More...
void | init (AbstractMatcher *matcher, Method method)
size_t | operator() () const
| AbstractMatcher::Operation() matches input to a pattern using method Const::SCAN, Const::FIND, or Const::SPLIT. More...
iterator | begin () const
| AbstractMatcher::Operation.begin() returns a std::input_iterator to the start of the matches. More...
iterator | end () const
| AbstractMatcher::Operation.end() returns a std::input_iterator to the end of matches. More...
const_iterator | cbegin () const
| AbstractMatcher::Operation.cbegin() returns a const std::input_iterator to the start of the matches. More...
const_iterator | cend () const
| AbstractMatcher::Operation.cend() returns a const std::input_iterator to the end of matches. More...

## Private Attributes
AbstractMatcher * | matcher_
| the matcher used by this functor More...
Method | method_
| the method for pattern matching by this functor's matcher More...

## Detailed Description

AbstractMatcher::Operation functor to match input to a pattern, also provides a (const) AbstractMatcher::iterator to iterate over matches.

## Constructor & Destructor Documentation

reflex::AbstractMatcher::Operation::Operation | ( | AbstractMatcher * | matcher,
|  | Method | method
| ) |  |
| inline

Construct an AbstractMatcher::Operation functor to scan, search, or split an input character sequence.

Parameters

  matcher | use this matcher for this functor
  method | match using method Const::SCAN, Const::FIND, or Const::SPLIT

## Member Function Documentation

iterator reflex::AbstractMatcher::Operation::begin | ( |  | ) | const
| inline

AbstractMatcher::Operation.begin() returns a std::input_iterator to the start of the matches.

Returns
  input iterator

const_iterator reflex::AbstractMatcher::Operation::cbegin | ( |  | ) | const
| inline

AbstractMatcher::Operation.cbegin() returns a const std::input_iterator to the start of the matches.

Returns
  input const_iterator

const_iterator reflex::AbstractMatcher::Operation::cend | ( |  | ) | const
| inline

AbstractMatcher::Operation.cend() returns a const std::input_iterator to the end of matches.

Returns
  input const_iterator

iterator reflex::AbstractMatcher::Operation::end | ( |  | ) | const
| inline

AbstractMatcher::Operation.end() returns a std::input_iterator to the end of matches.

Returns
  input iterator

void reflex::AbstractMatcher::Operation::init | ( | AbstractMatcher * | matcher,
|  | Method | method
| ) |  |
| inline

Parameters

  matcher | use this matcher for this functor
  method | match using method Const::SCAN, Const::FIND, or Const::SPLIT

size_t reflex::AbstractMatcher::Operation::operator() | ( |  | ) | const
| inline

AbstractMatcher::Operation() matches input to a pattern using method Const::SCAN, Const::FIND, or Const::SPLIT.

Returns
  value of accept() >= 1 for match or 0 for end of matches

## Member Data Documentation

AbstractMatcher* reflex::AbstractMatcher::Operation::matcher_
| private

the matcher used by this functor

Method reflex::AbstractMatcher::Operation::method_
| private

the method for pattern matching by this functor's matcher

The documentation for this class was generated from the following file:

- absmatcher.h